@echo off
echo.
echo This is the update batch for OpenDCC GBM16C, Controlproc (CP)
echo This batch will update both eep and hex
echo For BiDiB users: be sure to have your UniqueID saved.
echo (if you want to keep your eeprom content, press ctrl C now)
if %1.==. goto err

echo.
echo 1. Please fit a jumper on Port D0 to GND 
echo    (small jumpers, the jumper nearest to prog-connector)
echo 2. Connect GBM16C with the USB-Port to your PC
echo 3. Reboot GBM16C
echo    GBM will enter bootloader, only POWER-LED is on
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dATxmega128A1 -pf -vf -ifGBM16C.hex -pe -ve -ieGBM16C.eep -c%1

echo + Flash done


goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: GBM16C.hex and GBM16C.eep
echo.
:exit
