@echo off
echo.
echo This is the update batch for OpenDCC GBM16T, TrackProc (TP)
if %1.==. goto err

echo.
echo 1. Connect GBM16T with a FTDI USB-RS232-TTL cable to your PC
echo    (check if optocouplers are mounted on the solder side!)
echo 2. Please press PROG button (this closes Port D0 to GND)
echo    and keep pressed 
echo 3. Power-Up GBM16T (you may use track power for that)
echo    GBM16T will enter bootloader, only POWER-LED is on
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dATxmega128A1 -e -pf -vf -ifGBM16T.hex -c%1

echo Flash done
echo Update done, now exiting bootloader and starting GBM16T ..
pause


goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: GBM16T.hex and GBM16T.eep
echo.
:exit
